Bug 2262372 - Review Request: projecteur - Virtual pointer for the Logitech Spotlight presentation remote
Summary: Review Request: projecteur - Virtual pointer for the Logitech Spotlight prese...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arthur Bols
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/jahnf/Projecteur
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-02-02 09:02 UTC by Davide Cavalca
Modified: 2024-04-11 01:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-02 15:12:20 UTC
Type: ---
Embargoed:
arthur: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2024-02-02 09:02:53 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/projecteur/projecteur.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/projecteur/projecteur-0.10-1.fc40.src.rpm

Description:
Projecteur is a virtual laser pointer for use with inertial pointers such as
the Logitech Spotlight. Projecteur can show a colored dot, a highlighted circle
or a zoom effect to act as a pointer. The location of the pointer moves in
response to moving the handheld pointer device. The effect is much like that of
a traditional laser pointer, except that it is captured by recording software
and works across multiple screens.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2024-02-02 09:02:56 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=112792828

Comment 2 Fedora Review Service 2024-02-02 18:29:56 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6982441
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2262372-projecteur/fedora-rawhide-x86_64/06982441-projecteur/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Arthur Bols 2024-04-01 11:34:02 UTC
Cool project!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Remarks:
========

- BuildRequires:  systemd-devel
  
  I think systemd-rpm-macros is enough.

Issues:
=======
- Package requires other packages for directories it uses.

  Missing Requires: hicolor-icon-theme

- Package must own all directories that it creates.

  Missing Requires: systemd-udev


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License". 161 files have unknown
     license. Detailed output of licensecheck in /home/arthur/fedora-
     review/2262372-projecteur/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/hicolor/48x48,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/48x48/apps, /usr/lib/udev,
     /usr/share/icons/hicolor/256x256/apps, /usr/lib/udev/rules.d,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/256x256,
     /usr/share/icons/hicolor/64x64
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/lib/udev/rules.d,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/64x64/apps,
     /usr/share/icons/hicolor/48x48/apps, /usr/share/icons/hicolor/256x256,
     /usr/lib/udev, /usr/share/icons/hicolor/64x64
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 355859 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: projecteur-0.10-1.fc40.x86_64.rpm
          projecteur-debuginfo-0.10-1.fc40.x86_64.rpm
          projecteur-debugsource-0.10-1.fc40.x86_64.rpm
          projecteur-0.10-1.fc40.src.rpm
============================================================================================== rpmlint session starts ==============================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpc76azt84')]
checks: 32, packages: 4

projecteur.x86_64: W: files-duplicate /usr/share/icons/hicolor/64x64/apps/projecteur.svg /usr/share/icons/hicolor/128x128/apps/projecteur.svg:/usr/share/icons/hicolor/256x256/apps/projecteur.svg:/usr/share/icons/hicolor/48x48/apps/projecteur.svg
======================================================== 4 packages and 0 specfiles checked; 0 errors, 1 warnings, 16 filtered, 0 badness; has taken 0.5 s =========================================================




Rpmlint (debuginfo)
-------------------
Checking: projecteur-debuginfo-0.10-1.fc40.x86_64.rpm
============================================================================================== rpmlint session starts ==============================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpdxqlj4vi')]
checks: 32, packages: 1

========================================================= 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 5 filtered, 0 badness; has taken 0.2 s =========================================================





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

projecteur.x86_64: W: files-duplicate /usr/share/icons/hicolor/64x64/apps/projecteur.svg /usr/share/icons/hicolor/128x128/apps/projecteur.svg:/usr/share/icons/hicolor/256x256/apps/projecteur.svg:/usr/share/icons/hicolor/48x48/apps/projecteur.svg
 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 13 filtered, 0 badness; has taken 0.4 s 



Source checksums
----------------
https://github.com/jahnf/Projecteur/archive/v0.10/Projecteur-0.10.tar.gz :
  CHECKSUM(SHA256) this package     : 9e77f4b532425b0569b8a437d6d6b2bed489b68cc7a7d9578ee48d81bd7fcf0d
  CHECKSUM(SHA256) upstream package : 9e77f4b532425b0569b8a437d6d6b2bed489b68cc7a7d9578ee48d81bd7fcf0d


Requires
--------
projecteur (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.15)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

projecteur-debuginfo (rpmlib, GLIBC filtered):

projecteur-debugsource (rpmlib, GLIBC filtered):



Provides
--------
projecteur:
    application()
    application(projecteur.desktop)
    metainfo()
    metainfo(projecteur.metainfo.xml)
    projecteur
    projecteur(x86-64)

projecteur-debuginfo:
    debuginfo(build-id)
    projecteur-debuginfo
    projecteur-debuginfo(x86-64)

projecteur-debugsource:
    projecteur-debugsource
    projecteur-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2262372 -m fedora-40-x86_64
Buildroot used: fedora-40-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: fonts, Python, Ocaml, PHP, Haskell, Perl, SugarActivity, Java, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 4 Davide Cavalca 2024-04-02 02:45:09 UTC
Thanks for the review!

Spec URL: https://dcavalca.fedorapeople.org/review/projecteur/projecteur.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/projecteur/projecteur-0.10-1.fc41.src.rpm

Changelog:
- add missing Requires

> - BuildRequires:  systemd-devel
>  I think systemd-rpm-macros is enough.

No, we need systemd-devel for libudev as the build system looks for it using pkgconfig.

> - Package requires other packages for directories it uses.
>   Missing Requires: hicolor-icon-theme
> - Package must own all directories that it creates.
>   Missing Requires: systemd-udev

Fixed, thanks!

Comment 5 Arthur Bols 2024-04-02 10:55:36 UTC
Thanks for the fixes!

Package APPROVED.

Comment 6 Fedora Admin user for bugzilla script actions 2024-04-02 14:53:18 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/projecteur

Comment 7 Fedora Update System 2024-04-02 15:10:05 UTC
FEDORA-2024-394b4d4ea7 (projecteur-0.10-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-394b4d4ea7

Comment 8 Fedora Update System 2024-04-02 15:12:20 UTC
FEDORA-2024-394b4d4ea7 (projecteur-0.10-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-04-02 15:25:31 UTC
FEDORA-2024-ed15fe4428 (projecteur-0.10-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-ed15fe4428

Comment 10 Fedora Update System 2024-04-02 15:46:45 UTC
FEDORA-2024-6f318d5f79 (projecteur-0.10-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-6f318d5f79

Comment 11 Fedora Update System 2024-04-02 17:58:42 UTC
FEDORA-2024-62b426e6c8 (projecteur-0.10-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-62b426e6c8

Comment 12 Fedora Update System 2024-04-03 01:22:50 UTC
FEDORA-2024-ed15fe4428 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-ed15fe4428 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-ed15fe4428

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2024-04-03 02:13:20 UTC
FEDORA-2024-6f318d5f79 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6f318d5f79 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6f318d5f79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2024-04-03 02:13:53 UTC
FEDORA-2024-62b426e6c8 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-62b426e6c8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-62b426e6c8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2024-04-10 04:05:02 UTC
FEDORA-2024-6f318d5f79 (projecteur-0.10-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2024-04-11 01:40:22 UTC
FEDORA-2024-62b426e6c8 (projecteur-0.10-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.